Skip to content
Developer

StorageLocation

Accounting5 EndpointsBilling / StorageLocation

This method will get all StorageLocation Objects

GET/api/product/inventory/storage_locations

Query parameters

idstring
namestring
descriptionstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StorageLocation objectsarray<StorageLocation>

Show fields (2)
  • idinteger

    Primary key of the storage location. Internal ID.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/product/inventory/storage_locations \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel"
  }
]

Creates a single StorageLocation

POST/api/product/inventory/storage_locations

Responses

200Creates a single StorageLocationStorageLocation

Show fields (2)
  • idinteger

    Primary key of the storage location. Internal ID.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/product/inventory/storage_locations \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel"
}

This method will get a single StorageLocation Object with the given id

GET/api/product/inventory/storage_locations/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StorageLocationStorageLocation

Show fields (2)
  • idinteger

    Primary key of the storage location. Internal ID.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/product/inventory/storage_locations/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel"
}

This method will update a StorageLocation Object

PUT/api/product/inventory/storage_locations/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a StorageLocationStorageLocation

Show fields (2)
  • idinteger

    Primary key of the storage location. Internal ID.

  • namestring

    Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/product/inventory/storage_locations/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel"
}

This method will update a StorageLocation Object

PATCH/api/product/inventory/storage_locations/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a StorageLocationStorageLocation

Show fields (2)
  • idinteger

    Primary key of the storage location. Internal ID.

  • namestring

    Name of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/product/inventory/storage_locations/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel"
}